unit PostProcessingPanel;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TPPPanel = class(TForm)
    Label1: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
    procedure RadioButton4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

const
  PP_NONE                           = $00000001;
  PP_MOTION_BLUR                    = $00000002;
  PP_DEPTH_OF_FIELD                 = $00000003;
  PP_BLOOM                          = $00000004;

var
  PPPanel: TPPPanel;
  PostProcessing: cardinal = PP_NONE;

implementation

{$R *.dfm}

procedure TPPPanel.RadioButton1Click(Sender: TObject);
begin
  PostProcessing := PP_NONE;
  RadioButton2.Checked := false;
  RadioButton3.Checked := false;
  RadioButton4.Checked := false;
end;

procedure TPPPanel.RadioButton2Click(Sender: TObject);
begin
  PostProcessing := PP_MOTION_BLUR;
  RadioButton1.Checked := false;
  RadioButton3.Checked := false;
  RadioButton4.Checked := false;
end;

procedure TPPPanel.RadioButton3Click(Sender: TObject);
begin
  PostProcessing := PP_DEPTH_OF_FIELD;
  RadioButton1.Checked := false;
  RadioButton2.Checked := false;
  RadioButton4.Checked := false;
end;

procedure TPPPanel.RadioButton4Click(Sender: TObject);
begin
  PostProcessing := PP_BLOOM;
  RadioButton1.Checked := false;
  RadioButton2.Checked := false;
  RadioButton3.Checked := false;
end;

end.
